/**
 * @function setupSqlite
 */

"use strict";

const mkdirp = require('mkdirp'),
    argx = require('argx'),
    path = require('path'),
    async = require('async'),
    assert = require('assert');

/** @lends setupSqlite */
function setupSqlite(env, options, callback) {
    let args = argx(arguments);
    callback = args.pop('function') || argx.noop;
    options = args.pop('object') || {};

    let storage = env.STORAGE;
    assert.ok(storage, "env.STORAGE is required for sqlite.");
    async.series([
        (callback) => {
            mkdirp(path.dirname(storage), callback);
        }
    ], callback);
}

module.exports = setupSqlite;
